Page MenuHomePhabricator

[Sanitizer][RISCV] Fix FastUnwindTest
ClosedPublic

Authored by luismarques on Nov 1 2020, 3:10 PM.

Details

Summary

Fixes the FastUnwindTest unit test for RISC-V.
These changes reflect the different stack organization commonly used for that architecture.

Diff Detail

Event Timeline

luismarques created this revision.Nov 1 2020, 3:10 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 1 2020, 3:10 PM
Herald added subscribers: Restricted Project, NickHung, evandro and 10 others. · View Herald Transcript
luismarques requested review of this revision.Nov 1 2020, 3:10 PM
vitalybuka accepted this revision.Nov 1 2020, 8:31 PM

Please clang-format the patch

compiler-rt/lib/sanitizer_common/tests/sanitizer_stacktrace_test.cpp
19–72
131–136
This revision is now accepted and ready to land.Nov 1 2020, 8:31 PM

Address review feedback.

vitalybuka accepted this revision.Nov 5 2020, 3:51 PM
luismarques marked 2 inline comments as done.Nov 6 2020, 6:04 AM
lenary resigned from this revision.Jan 14 2021, 11:39 AM
This revision was landed with ongoing or failed builds.Jan 31 2021, 4:00 PM
This revision was automatically updated to reflect the committed changes.